# ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY > Class Template Reference

Defines a reverse iterator implementation for the Map_Impl class. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >:

[legend]
Collaboration diagram for ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >:

[legend]
List of all members.

## Public Types

typedef IMPLEMENTATION | implementation

## Public Member Functions

| ACE_Map_Impl_Reverse_Iterator_Adapter (const IMPLEMENTATION &impl)
| Constructor.
virtual | ~ACE_Map_Impl_Reverse_Iterator_Adapter (void)
| Destructor.
virtual ACE_Reverse_Iterator_Impl< T > * | clone (void) const
| Clone.
virtual int | compare (const ACE_Reverse_Iterator_Impl< T > &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
IMPLEMENTATION & | impl (void)
| Accessor to implementation object.

## Protected Attributes

IMPLEMENTATION | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class IMPLEMENTATION, class ENTRY>
class ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >

Defines a reverse iterator implementation for the Map_Impl class.

Implementation to be provided by IMPLEMENTATION.

## Member Typedef Documentation

template<class T, class IMPLEMENTATION, class ENTRY>
typedef IMPLEMENTATION ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::implementation

## Constructor & Destructor Documentation

template<class T, class IMPLEMENTATION, class ENTRY>
ACE_INLINE ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::ACE_Map_Impl_Reverse_Iterator_Adapter | ( | const IMPLEMENTATION & | impl | ) |

| Constructor.

template<class T, class IMPLEMENTATION, class ENTRY>
ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::~ACE_Map_Impl_Reverse_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class IMPLEMENTATION, class ENTRY>
ACE_Reverse_Iterator_Impl< T > * ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class IMPLEMENTATION, class ENTRY>
int ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::compare | ( | const ACE_Reverse_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class IMPLEMENTATION, class ENTRY>
T ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class IMPLEMENTATION, class ENTRY>
ACE_INLINE IMPLEMENTATION & ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class IMPLEMENTATION, class ENTRY>
void ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class IMPLEMENTATION, class ENTRY>
void ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Implements ACE_Reverse_Iterator_Impl< T >.

## Member Data Documentation

template<class T, class IMPLEMENTATION, class ENTRY>
IMPLEMENTATION ACE_Map_Impl_Reverse_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.cpp
- Map_T.inl